<?php

namespace App\Domain\Shared\Domain\Exception;

class JobNotFoundException extends \DomainException
{
    public static function withId(string $id): self
    {
        return new self(sprintf('Job with id "%s" not found', $id));
    }

    public static function withJobId(string $jobId): self
    {
        return new self(sprintf('Failed job with job id "%s" not found', $jobId));
    }
}
